from queue import PriorityQueue


def main():
  # Wczytujemy dane z wejścia.
  N = int(input())
  T = list(map(int, input().split()))

  # Deklarujemy zmienne pomocnicze:
  #   id - gdzie obecnie się znajdujemy w ciągu
  #   granica - gdzie jest ostatni element, który możemy kliknac
  #   klikniecia - ile ruchów w grze wykonaliśmy (to jest wynik)
  id = 0
  granica = 0
  klikniecia = 0

  # Deklarujemy strukturę, która pozwala nam dynamicznie dodawać elementy
  # i wyciągać maksimum - kolejkę priorytetową. Trzymamy w niej elementy,
  # które możemy usunąć. Należy zwrócić uwagę, że kolejka priorytetowa w Pythonie
  # zwraca minimum, zatem będziemy w niej trzymać wartości pomnożone przez -1.
  # Na przykład zamiast 5, 3, 4, będziemy trzymać -5, -3, -4.
  kandydaci = PriorityQueue()

  # Dopóki nie usunęliśmy wszystkich elementów z ciągu.
  while granica < N:
    # Dodaj do struktury kandydatow wszystkie elementy do granicy.
    while id <= granica:
      # Pamiętaj że wstawiamy wartość przeciwną do T[id]!
      kandydaci.put(-T[id])
      id += 1

    # Wybierz element, który będziemy chcieli kliknąć - maksimum wśród kandydatów,
    # pamiętając aby wziąć wartość przeciwną.
    element_usuwany = -kandydaci.get()

    # Kliknij ten element, to jest przestaw granicę o wartość tego elementu + 1.
    granica += element_usuwany + 1
    # Wykonaliśmy jeden ruch, zatem zwiększ licznik klikniecia o 1.
    klikniecia += 1


  # Na końcu wypisujemy ile kliknięć wykonaliśmy.
  print(klikniecia)


main()
